* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'montseratt', sans-serif;
}

.app {
  background: url('./img/green.jpg') center;
  background-size: cover;
  transition: background-image 500ms ease-in-out;
}

.app.cold {
  background-image: url('./img/cold-mountain.jpg');
}

.app.warm {
  background-image: url('./img/desert.jpg');
}

main {
  height: 100vh;
  background-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.75));
  padding: 25px;
}

.search-box {
  width: 100%;
  margin-bottom: 50px;
  display: flex;
  justify-content: center;
}

.search-box .search-bar {
  display: block;
  width: 100%;
  padding: 15px;

  appearance: none;
  background: none;
  border: none;
  outline: none;

  background-color: rgba(255, 255, 255, 0.5);
  border-radius: 0px 0px 16px 16px;
  margin-top: -25px;

  box-shadow: 0px 5px rgba(0, 0, 0, 0.2);

  color: #313131;
  font-size: 20px;

  transition: 0.4s ease-in-out;
}

.search-box .search-bar:focus {
  background-color: rgba(255, 255, 255, 0.75);
}

.location-box .location {
  color: #fff;
  font-size: 32px;
  font-weight: 500;
  text-align: center;
  text-shadow: 3px 3px rgba(50, 50, 70, 0.5);
}

.location-box .date {
  color: #fff;
  font-size: 20px;
  font-weight: 300;
  font-style: italic;
  text-align: center;
  text-shadow: 2px 2px rgba(50, 50, 70, 0.5);
}

.weather-box {
  text-align: center;
}

.weather-box .temp {
  position: relative;
  display: inline-block;
  margin: 30px auto;
  background-color: rgba(255, 255, 255, 0.2);
  border-radius: 16px;

  padding: 15px 25px;

  color: #fff;
  font-size: 80px;
  font-weight: 900;

  text-shadow: 3px 6px rgba(50, 50, 70, 0.5);
  text-align: center;
  box-shadow: 3px 6px rgba(0, 0, 0, 0.2);
}

.weather-box .temp .info {
  margin-top: 15px;
  font-size: 25px;
  font-weight: 600;
  text-shadow: 1.5px 3px rgba(50, 50, 70, 0.5);
  text-align: left;
}

.weather-box .temp .feels-like {
  text-align: left;
  margin-top: 15px;
  font-size: 25px;
  font-weight: 600;
  text-shadow: 1.5px 3px rgba(50, 50, 70, 0.5);
}

.weather-box .weather {
  color: #fff;
  font-size: 40px;
  font-weight: 700;
  text-shadow: 3px 3px rgba(50, 50, 70, 0.5);
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 20px;
}

.weather-box .weather img {
  height: 85px;
  width: 85px;
  transition: 0.4s ease-in-out;
  background-color: rgba(255, 255, 255, 0.1);
  border-radius: 10px;
}

@media (min-width: 950px) {
  .search-box .search-bar {
    width: 60%;
  }
}

@media (min-width: 1400px) {
  .search-box .search-bar {
    width: 40%;
  }
}
